<template>
    <v-container class="lighten-5" fluid>
        <v-row
                align="center"
                justify="center"
        >
            <v-col
                    cols="12"
                    sm="8"
                    md="4"
            >
                <v-card class="elevation-12">
                    <v-toolbar
                            color="#3d5a88"
                            dark
                            flat
                    >
                        <v-toolbar-title>Login form</v-toolbar-title>
                        <v-spacer/>
                    </v-toolbar>
                    <v-card-text>
                        <v-form>
                            <v-text-field
                                    label="Login"
                                    name="login"
                                    prepend-icon="fas fa-user"
                                    type="text"
                                    v-model="loginModel.username"
                            />

                            <v-text-field
                                    id="password"
                                    label="Password"
                                    name="password"
                                    prepend-icon="fas fa-lock"
                                    type="password"
                                    v-model="loginModel.password"
                            />
                        </v-form>
                    </v-card-text>
                    <v-card-actions align="center">
                        <v-btn color="primary" v-on:click="loginClicked">Login</v-btn>
                    </v-card-actions>
                    <v-card-text>
                        You don't have account?
                        <router-link to="/register">Get started</router-link>
                    </v-card-text>
                </v-card>
            </v-col>
        </v-row>

    </v-container>
</template>

<script>
    import {login} from "../../util/auth";

    export default {
        props: {
            source: String,
        },
        methods: {
            loginClicked() {
                login(this.loginModel).then(response => {

                })
            }
        },
        data() {
            return {
                loginModel: {},
                color: 'primary'
            }
        },
        created() {
            console.log("PARAMS")
            console.log(this.$router)
        }
    }
</script>